#
# spec file for package ghc-hmatrix-gsl-stats
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hmatrix-gsl-stats
Name:           ghc-%{pkg_name}
Version:        0.4.1.6
Release:        lp150.1.7
Summary:        GSL Statistics interface
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-hmatrix-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-storable-complex-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gsl)

%description
Purely functional interface for statistics based on hmatrix and GSL

Relieves the burden of alloc/free routines and is otherwise essentially 1:1

Documentation can be found at <http://www.gnu.org/software/gsl/manual/>

The vector type is Data.Vector.Storable from the 'vector' package.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       pkgconfig
Requires:       pkgconfig(gsl)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
# The build generates plenty of compiler warnings that are harmless but do
# upset our post-build checks, so we disable that particular warning.
%define cabal_configure_options --ghc-option=-optc-Wno-return-type
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGES README

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.4.1.6 with cabal2obs.
* Sun Nov  6 2016 psimons@suse.com
- Update to version 0.4.1.4 with cabal2obs.
* Tue Jul 12 2016 psimons@suse.com
- Add "ghc-hmatrix-gsl-stats-rpmlintrc" file that disables the
  check "E: no-return-in-nonvoid-function". This package contains
  auto-generated source code that uses switch/case statements
  without a default case a lot. This is nasty -- because it
  generates the aforementioned warnings --, but the code seems
  correct anyway.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.4.1.3 revision 0 with cabal2obs.
